#
# Generalised Bitmap Module Lucide adapter
#
# This makefile is for Open Watcom C++ on OS/2.
#
# Builds Lucide adapter library for GBM.DLL.
# As GBM.DLL is built multithreaded, all users should also be multithreaded.

# include configuration setting for nmake (except compiler options)
!INCLUDE ..\nmake.opt

# Location of gbm libs and public header files
GBM          = ..\gbmos2
LUDOC        = ludoc
OS2TKSOM     = E:\Development\OS2TK45\som
OS2TKSOM_INC = $(OS2TKSOM)\include
OS2TKSOM_LIB = $(OS2TKSOM)\lib

# ------------------
# Configure compiler
# ------------------

#
# Using Open Watcom C++:
#
CCP     = wpp386
CC      = wcc386
CL      = wlink

# Builds gbm objects which are compiled multithreaded
# Therefore all users should also be multithreaded
#CWARNS         = -wx
CWARNS         =
CFLAGS         = $(CWARNS) -zq -onatx -ei -zp4 -6 -fp5 -bm -mf /DOS2 -i. -i$(GBM) -i$(LUDOC) -i$(OS2TKSOM_INC)
CFLAGS_DBG     = $(CWARNS) -zq -ei -zp4 -6 -fp5 -bm -mf -i. -i$(GBM) -i$(LUDOC) -i$(OS2TKSOM_INC) -d2 /DOS2 /DDEBUG
CFLAGS_DLL     = -bd $(CFLAGS)
CFLAGS_DLL_DBG = -bd $(CFLAGS_DBG)

LFLAGS         = op q op el op stack=0x6000 op statics
LFLAGS_DBG     = op q d all op stack=0x6000 op statics
LFLAGS_DLL     = sys os2v2_dll initi termi op many op caseexact $(LFLAGS)
LFLAGS_DLL_DBG = sys os2v2_dll initi termi op many op caseexact $(LFLAGS_DBG)

# Enable for debugging
#CFLAGS_DLL     = $(CFLAGS_DLL_DBG)
#LFLAGS_DLL     = $(LFLAGS_DLL_DBG)

# Enable for Pentium profiling (also combined with debug above)
#CFLAGS_DLL     = $(CFLAGS_DLL) -et

#

.SUFFIXES: .cpp .obj .idl .xh

.cpp.obj:
               $(CCP) $(CFLAGS_DLL) $*.cpp

.idl.xh:
    sc -c -s"xc;xih;xh" -I$(LUDOC) $*.idl

#

all:           lugbm.dll

#

lugbm.dll:     lugbm.obj lugbmdyn.obj
               $(CL) $(LFLAGS_DLL) @lugbm name $@ file lugbm.obj,lugbmdyn.obj lib $(GBM)\gbm.lib,$(GBM)\gbmscale.lib,$(LUDOC)\ludoc.lib,$(OS2TKSOM_LIB)\somtk.lib

lugbm.obj:     lugbm.cpp lugbmdyn.h lugbm.xh $(GBM)\gbm.h $(GBM)\gbmscale.h
               $(CCP) $(CFLAGS_DLL) -xs -xr $*.cpp

lugbmdyn.obj:  lugbmdyn.c lugbmdyn.h $(GBM)\gbm.h
               $(CC) $(CFLAGS_DLL) $*.c

lugbm.cpp:     lugbm.idl



# ------------------------
# Build management targets
# ------------------------

clean:
    -del /N *.obj *.xh *.xih *.xc *.map 2> nul

clobber:
    -del /N *.obj *.xh *.xih *.xc *.map *.dll 2> nul

#

install:

#

exepack:
         $(DLL_PACKER) *.dll

#

package:

